<?php

namespace Drupal\editionguard;

use Drupal\entity\EntityPermissionProvider;
use Drupal\Core\Entity\EntityTypeInterface;

/**
 * Provides permissions for EditionGuard transactions.
 */
class TransactionPermissionProvider extends EntityPermissionProvider {

  /**
   * {@inheritdoc}
   */
  public function buildPermissions(EntityTypeInterface $entity_type) {
    // EditionGuard transactions don't implement EntityOwnerInterface,
    // so they don't get own/any permissions generated by default.
    $permissions['view own editionguard_transaction'] = [
      'title' => (string) $this->t('View own transaction'),
      'provider' => 'editionguard',
    ];

    return $permissions;
  }

}
